Skip to content

List notifications for current user

GET
/api/notifications
curl --request GET \
--url 'https://api.getvespy.com/api/notifications?channel=in_app' \
--header 'Authorization: Bearer <token>'
unreadOnly
boolean
channel
string
Allowed values: in_app email sms push
limit
integer
>= 1 <= 100
offset
integer

Default Response

Media typeapplication/json
object
notifications
required
Array<object>
object
actorUser
required
object
fullName
required
string
>= 1 characters <= 160 characters
id
required
string format: uuid
actorUserId
required
string format: uuid
nullable
body
required
string
nullable
channel
required
string
Allowed values: in_app email sms push
channels
Array<string>
Allowed values: in_app email sms push
createdAt
required
string format: date-time
entityId
required
string format: uuid
nullable
entityType
required
string
nullable
id
required
string format: uuid
priority
required
string
Allowed values: low normal high urgent
readAt
required
string format: date-time
nullable
title
required
string
>= 1 characters
type
required
string
>= 1 characters
total
required
integer
unreadCount
required
integer
Example
{
"notifications": [
{
"channel": "in_app",
"channels": [
"in_app"
],
"priority": "low"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}